OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
StepToGeom

# StepToGeom_MakeConicalSurface Class Reference

This class implements the mapping between class
ConicalSurface from StepGeom which describes a
conical_surface from Prostep and ConicalSurface from Geom
.

`#include <StepToGeom_MakeConicalSurface.hxx>`

Inheritance diagram for StepToGeom_MakeConicalSurface:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToGeom_MakeConicalSurface (const Handle(StepGeom_ConicalSurface)&Surf)
Standard_EXPORT const Handle_Geom_ConicalSurface & | Value () const
## Private Attributes
Handle_Geom_ConicalSurface | theConicalSurface

## Constructor & Destructor Documentation

Standard_EXPORT StepToGeom_MakeConicalSurface::StepToGeom_MakeConicalSurface | ( | const Handle(StepGeom_ConicalSurface)& | Surf | ) |

## Member Function Documentation

void StepToGeom_MakeConicalSurface::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeConicalSurface::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeConicalSurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToGeom_Root.

Standard_EXPORT const Handle_Geom_ConicalSurface& StepToGeom_MakeConicalSurface::Value | ( |  | ) | const

## Field Documentation

Handle_Geom_ConicalSurface StepToGeom_MakeConicalSurface::theConicalSurface`[private]`

The documentation for this class was generated from the following file:

- StepToGeom_MakeConicalSurface.hxx